.gdshop-banner {
  display: flex;
  align-items: center;
  justify-content: space-between;
  max-width: 60%;
  margin: 60px auto;
  padding: 20px 30px;
  border: var(--border-standard);
  border-radius: 20px;
  background: var(--bg-dark-elements);
  box-shadow: var(--shadow-dark);
  opacity: 0;
  transform: translateX(-900px);
  transition: all 1.8s cubic-bezier(0.22, 1, 0.36, 1);
}
.gdshop-banner.visible {
  opacity: 1;
  transform: translateX(0);
}

.banner-image img {
  max-width: 220px;
  width: 100%;
  height: auto;
  border-radius: 20px;
  box-shadow: var(--shadow-light);
  filter: var(--image-filter);
}

.banner-text {
  flex: 1;
  padding-left: 35px;
}

.banner-text h2 {
  margin-top: 0;
  margin-bottom: 10px;
  color: var(--text-accent-blue);
  font-family: var(--evidence-font);
  font-size: 30px;
}

.banner-text span {
  margin-left: 20px;
  color: var(--text-primary);
  font-family: var(--standard-font);
  font-size: 20px;
}

.banner-text p {
  margin-top: 0;
  margin-bottom: 0;
  color: var(--text-secondary);
  font-size: 18px;
}

.banner-button a {
  margin-right: 35px;
  padding: 12px 20px;
  border: var(--border-button-outline);
  border-radius: 20px;
  color: var(--text-accent-blue);
  background: transparent;
  font-size: 18px;
  font-weight: 500;
  text-decoration: none;
  box-shadow: var(--shadow-blue-off);
  transition: 0.3s;
}
.banner-button a:hover {
  transform: translateY(-3px);
  color: var(--text-primary);
  background: var(--bg-button-outline-on);
  box-shadow: var(--shadow-blue-on);
}

/* laptop 1600–1919px */
@media (min-width: 1600px) and (max-width: 1919px) {
  .gdshop-banner {
    max-width: 70%;
    margin: 50px auto;
  }

  .banner-image img {
    max-width: 210px;
  }

  .banner-text h2 {
    font-size: 29px;
  }

  .banner-text span {
    font-size: 19px;
  }

  .banner-text p {
    font-size: 17px;
  }

  .banner-button a {
    margin-right: 40px;
    padding: 11px 18px;
    font-size: 17px;
  }
}

/* laptop 1366–1599px */
@media (min-width: 1366px) and (max-width: 1599px) {
  .gdshop-banner {
    max-width: 75%;
    margin: 40px auto;
    transform: translateX(-700px);
  }

  .banner-image img {
    max-width: 190px;
  }

  .banner-text h2 {
    font-size: 27px;
  }

  .banner-text span {
    font-size: 17px;
  }

  .banner-text p {
    font-size: 15px;
  }

  .banner-button a {
    margin-right: 45px;
    padding: 9px 16px;
    font-size: 16px;
  }
}

/* laptop 1280–1365px */
@media (min-width: 1280px) and (max-width: 1365px) {
  .gdshop-banner {
    max-width: 75%;
    margin: 40px auto;
    transform: translateX(-700px);
  }

  .banner-image img {
    max-width: 180px;
  }

  .banner-text {
    padding-left: 30px;
  }

  .banner-text h2 {
    font-size: 25px;
  }

  .banner-text span {
    font-size: 16px;
  }

  .banner-text p {
    font-size: 14px;
  }

  .banner-button a {
    margin-right: 45px;
    padding: 9px 16px;
    font-size: 15px;
  }
}

/* tablet */
@media (min-width: 768px) and (max-width: 1279px) and (orientation: portrait) {
  .gdshop-banner {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
    max-width: 87%;
    margin: 40px auto;
    padding: 20px 10px;
    transform: translateX(-400px);
  }

  .banner-image img {
    max-width: 220px;
  }

  .banner-text {
    padding-left: 0;
  }

  .banner-text h2 {
    text-align: center;
    font-size: 30px;
  }

  .banner-text span {
    font-size: 20px;
  }

  .banner-text p {
    margin-bottom: 30px;
    text-align: center;
    font-size: 18px;
  }

  .banner-button a {
    margin-right: 0;
    padding: 12px 18px;
    font-size: 18px;
  }
}
@media (min-width: 768px) and (max-width: 1279px) and (orientation: landscape) {
  .gdshop-banner {
    max-width: 90%;
    margin: 40px auto;
    padding: 20px 20px;
    transform: translateX(-600px);
  }

  .banner-image img {
    max-width: 170px;
  }

  .banner-text {
    padding-left: 20px;
  }

  .banner-text h2 {
    font-size: 22px;
  }

  .banner-text span {
    font-size: 18px;
  }

  .banner-text p {
    font-size: 16px;
  }

  .banner-button a {
    margin-right: 30px;
    padding: 9px 14px;
    font-size: 15px;
  }
}

/* smartphone */
@media (max-width: 767px) and (orientation: portrait) {
  .gdshop-banner {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
    max-width: 87%;
    margin: 40px auto;
    padding: 20px 10px;
    transform: translateX(-200px);
  }

  .banner-image img {
    max-width: 190px;
  }

  .banner-text {
    padding-left: 0;
  }

  .banner-text h2 {
    text-align: center;
    font-size: 20px;
  }

  .banner-text span {
    margin-left: 10px;
    font-size: 16px;
  }

  .banner-text p {
    margin-bottom: 20px;
    text-align: center;
    font-size: 15px;
  }

  .banner-button a {
    margin-right: 0;
    padding: 8px 16px;
    font-size: 14px;
  }
}
@media (max-width: 767px) and (orientation: landscape) {
  .gdshop-banner {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
    max-width: 85%;
    margin: 40px auto;
    padding: 20px 10px;
    transform: translateX(-200px);
  }

  .banner-image img {
    max-width: 200px;
  }

  .banner-text {
    padding-left: 0;
  }

  .banner-text h2 {
    text-align: center;
    font-size: 22px;
  }

  .banner-text span {
    margin-left: 15px;
    font-size: 18px;
  }

  .banner-text p {
    margin-bottom: 20px;
    text-align: center;
    font-size: 16px;
  }

  .banner-button a {
    margin-right: 0;
    padding: 10px 18px;
    font-size: 15px;
  }
}
@media (min-width: 768px) and (max-width: 915px) and (max-height: 500px) and (orientation: landscape) {
  .gdshop-banner {
    max-width: 95%;
    margin: 40px auto;
    padding: 20px 20px;
    transform: translateX(-300px);
  }

  .banner-image img {
    max-width: 150px;
  }

  .banner-text {
    padding-left: 20px;
  }

  .banner-text h2 {
    font-size: 19px;
  }

  .banner-text span {
    font-size: 15px;
  }

  .banner-text p {
    font-size: 14px;
  }

  .banner-button a {
    margin-right: 10px;
    padding: 8px 14px;
    font-size: 14px;
  }
}